class shibbolethsp(
  $shibbolethsp_pkg_version  = $shibbolethsp::params::shibbolethsp_pkg_version,
  $supervisor_pkg_version    = $shibbolethsp::params::supervisor_pkg_version,
  $http_server               = '',
  $idp_name                  = '',
  $idp_entity_id             = '',
  $idp_metadata_uri          = '',
  $idp_metadata_backing      = '',
  $idp_sig_cert              = '',
  $idp_sig_cert_name         = '',
  $sp_entity_id              = '',
  $sp_remote_user_attributes = '',
  $sp_support_contact        = '',
  $sp_cert                   = '',
  $sp_key                    = '',
  $sp_mapped_attributes      = $shibbolethsp::params::sp_mapped_attributes,
  $sp_force_authn            = $shibbolethsp::params::sp_force_authn,
  $logout_redirect_uri       = '',
  $sp_sessions_lifetime      = $shibbolethsp::params::sp_sessions_lifetime,
  $sp_sessions_timeout       = $shibbolethsp::params::sp_sessions_timeout,
) inherits shibbolethsp::params {

  class { 'shibbolethsp::install':
    shibbolethsp_pkg_version => $shibbolethsp_pkg_version,
    supervisor_pkg_version   => $supervisor_pkg_version,
  }

  class { 'shibbolethsp::configure':
    idp_name                  => $idp_name,
    idp_entity_id             => $idp_entity_id,
    idp_metadata_uri          => $idp_metadata_uri,
    idp_metadata_backing      => $idp_metadata_backing,
    idp_sig_cert              => $idp_sig_cert,
    idp_sig_cert_name         => $idp_sig_cert_name,
    sp_entity_id              => $sp_entity_id,
    sp_remote_user_attributes => $sp_remote_user_attributes,
    sp_support_contact        => $sp_support_contact,
    sp_cert                   => $sp_cert,
    sp_key                    => $sp_key,
    http_process_user         => $http_server,
    sp_mapped_attributes      => $sp_mapped_attributes,
    sp_force_authn            => $sp_force_authn,
    logout_redirect_uri       => $logout_redirect_uri,
    sessions_lifetime         => $sp_sessions_lifetime,
    sessions_timeout          => $sp_sessions_timeout,
    require                   => Class['shibbolethsp::install'],
    notify                    => Class['shibbolethsp::run'],
  }

  class { 'shibbolethsp::run':
    http_server_process => $http_server,
  }
}
