class shibbolethsp::install(
  $shibbolethsp_pkg_version,
  $supervisor_pkg_version,
  $configure_yum_repos = false,
) {
  if $configure_yum_repos {
    yumrepo { 'jcu-eresearch-shibboleth':
      descr    => 'JCU eResearch Custom Repo',
      baseurl  => 'https://www.hpc.jcu.edu.au/rpm/',
      enabled  => 1,
      priority => 1,
      gpgcheck => 0,
    }

    yumrepo { 'shibboleth-dependencies':
      descr    => 'Shibboleth Dependencies via openSUSE\'s CentOS-6 Yum Repo',
      baseurl  => 'http://download.opensuse.org/repositories/security:/shibboleth/CentOS_CentOS-6/',
      enabled  => 1,
      priority => 1,
      gpgcheck => 1,
      gpgkey   => 'http://download.opensuse.org/repositories/security:/shibboleth/CentOS_CentOS-6/repodata/repomd.xml.key',
    }

    Yumrepo<||> -> Package<||>
  }

  package { 'shibboleth':
    ensure => $shibbolethsp_pkg_version,
  }

  package { 'supervisor':
    ensure => $supervisor_pkg_version,
  }

}
