class shibbolethsp::params {

  $shibbolethsp_pkg_version = 'latest'
  $supervisor_pkg_version   = 'latest'
  $sp_mapped_attributes     = ['eppn', 'unscoped-affiliation', 'scoped-affiliation',]
  $sp_force_authn           = false
  $attribute_map_path       = '/etc/shibboleth/attribute-map.xml'
  $sp_config_file           = '/etc/shibboleth/shibboleth2.xml'
  $sp_cert_file             = '/etc/shibboleth/sp-cert.pem'
  $sp_key_file              = '/etc/shibboleth/sp-key.pem'
  $sp_sessions_lifetime     = 28800
  $sp_sessions_timeout      = 3600
  $enable_lazy_sessions     = false

  $known_attributes = {
    'eppn' => {
      'oid'  => '1.3.6.1.4.1.5923.1.1.1.6',
      'filter-type' => 'scoped',
    },
    'unscoped-affiliation' => {
      'oid'  => '1.3.6.1.4.1.5923.1.1.1.1',
      'filter-type' => 'string.not-case-sensitive',
    },
    'scoped-affiliation' => {
      'oid'  => '1.3.6.1.4.1.5923.1.1.1.9',
      'filter-type' => 'scoped.not-case-sensitive',
    },
    'uwnetid' => {
      'oid'  => '0.9.2342.19200300.100.1.1',
    },
    'gws_groups' => {
      'oid'  => '1.3.6.1.4.1.5923.1.5.1.1',
    }
  }

}
